@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Ubuntu:wght@400;500;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}

html{
	scroll-behavior: smooth;
}

::-webkit-scrollbar {
    width: 10px;
}
::-webkit-scrollbar-track {
    background: #f1f1f1;
}
::-webkit-scrollbar-thumb {
    background: #888;
}

::-webkit-scrollbar-thumb:hover {
    background: #555;
}

section{
	padding: 100px 0;
}

.max-width{
	max-width: 1100px;
	padding-bottom: 0 80px;
	margin: auto;
}

.about, .services, .skills, .projects, .contact, .footer-menu, .footer-bottom{
    font-family: 'Poppins', sans-serif;
}

.about .about-content,
.services .serv-content,
.skills .skills-content,
.contact .contact-content{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}

section .title{
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight: 500;
    margin-bottom: 60px;
    padding-bottom: 20px;
    font-family: 'Ubuntu', sans-serif;
}
section .title::before{
    content: "";
    position: absolute;
    bottom: 0px;
    left: 50%;
    width: 180px;
    height: 3px;
    background: #111;
    transform: translateX(-50%);
}
section .title::after{
    position: absolute;
    bottom: -8px;
    left: 50%;
    font-size: 20px;
    color:  #04E405;
    padding: 0 5px;
    background: #fff;
    transform: translateX(-50%);
}

.navbar{
	position: fixed;
	width: 100%;
	padding: 30px 0;
	font-family: 'Ubuntu', sans-serif;
	transition: all 0.3s ease;
	z-index: 999;
}

.navbar.sticky{
	padding: 15px 0;
	background-color: #04E405;
	opacity: 0.96;
}

.navbar .max-width{
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.navbar .logo a{
	font-size: 35px;
	font-weight: 600;
	color: #fff;
}

.navbar .logo a span{
	color: #04E405;
	transition: all 0.3s ease;
}

.navbar.sticky .logo a span{
	color: #fff;
}

.navbar .menu li{
	list-style: none;
	display: inline-block;
}

.navbar .menu li a{
	padding: .4em .7em;
	color: #fff;
	font-size: 18px;
	font-weight: 540;
	position: relative;
	display: block;
	margin-left: 25px;
	transition: color 0.3s ease;
}

.navbar li a::before,
.navbar li a::after{
	content: '';
	height: 14px;
	width: 14px;
	position: absolute;
	transition: all .3s ease;
	opacity: 0;
}

.navbar li a::before{
	content: '';
 	right: 0;
 	top: 0;
 	border-top: 2px solid #14E405;
 	border-right: 2px solid #04E405;
 	transform: translate(-100%, 50%);
}

.navbar li a:after {
	content: '';
  	left: 0;
  	bottom: 0;
  	border-bottom: 2px solid #04E405;
  	border-left: 2px solid #14E405;
  	transform: translate(100%, -50%);
}

.navbar li a:hover:before,
.navbar li a:hover:after{
	transform: translate(0,0);
  	opacity: 1;
}

.navbar li a:hover{
	color: #04E405;
}

.navbar.sticky .menu li a:hover{
	color: #fff;
}

.menu-btn{
	color: #fff;
	font-size: 23px;
	cursor: pointer;
	display: none;
}

.scroll-up-btn{
    position: fixed;
    height: 45px;
    width: 42px;
    background: #04E405;
    right: 30px;
    bottom: 10px;
    text-align: center;
    line-height: 45px;
    color: #fff;
    z-index: 9999;
    font-size: 30px;
    border-radius: 6px;
    border-bottom-width: 2px;
    cursor: pointer;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s ease;
}
.scroll-up-btn.show{
    bottom: 30px;
    opacity: 1;
    pointer-events: auto;
}
.scroll-up-btn:hover{
    filter: brightness(90%);
}

.home{
	display: flex;
	background: no-repeat center;
	background-image: linear-gradient(to right, rgba(0, 0, 0, 0.7), rgba(42, 42, 42, 0.7)), url(images/neural-network.jpg);
	background-size: cover;
	background-attachment: fixed;
	height: 100vh;
	color: #fff;
	min-height: 500px;
	font-family: 'Ubuntu', sans-serif;
}

.home .max-width{
	width: 100%;
	display: flex;
}

.home .max-width .row{
	margin-right: 0;
}

.home .home-content .text-1{
	font-size: 27px;
}

.home .home-content .text-2{
	font-size: 75px;
	font-weight: 600;
	margin-left: -3px;	
}

.home .home-content .text-3{
	font-size: 40px;
	margin: 5px 0;	
}

.home .home-content .text-3 span{
	color: #04E405; 
	font-weight: 500;	
}

.home .home-content a{
	display: inline-block;
	background-color: #04E405;
	color: #fff;
	font-size: 25px;
	padding: 12px 36px;
	margin-top: 20px;
	border-radius: 7px;
	border: 2px solid #04E405;
	transition: all 0.3s ease; 
}

.home .home-content a:hover{
	color: #04E405;
	background: none;
}

.about, .services, .skills, .projects{
	font-family: 'Poppins', sans-serif;
}

.about .title::after{
	content: "who i am";
	background: white;
}

.about .about-content .left{
	width: 45%;
}

.about .about-content .left img{
	height: 400px;
	width: 400px;
	object-fit: cover;
	border-radius: 7px;
}

.about .about-content .right{
	width: 55%;
}

.about .about-content .right .text{
	font-size: 25px;
	font-weight: 600;
	margin-bottom: 10px;
}

.about .about-content .right .text span{
	color: #04E405;
}

.about .about-content .right p{
	text-align: justify;
}

.about .about-content .right a{
	display: inline-block;
	background-color: #04E405;
	color: #fff;
	font-size: 20px;
	font-weight: 500;
	padding: 10px 30px;
	margin-top: 20px;
	border-radius: 7px;
	border: 2px solid #04E405;
	transition: all 0.3s ease;
}

.about .about-content .right a:hover{
	color: #04E405;
	background: none;
}

.services, .projects{
	color: #fff;
	background: #111;
}

.services .title::before,
.projects .title::before{
	background: #fff;
}

.services .title::after,
.projects .title::after{
	background: #111;
	content: "what i do";
}

.services .serv-content .card{
	width: calc(33% - 20px);
	background: #222;
	text-align: center;
	border-radius: 6px;
	padding: 35px 25px;
	cursor: pointer;
	transition: all 0.3s ease;
}

.services .serv-content .card:hover{
	background: #04E405;
}

.services .serv-content .card .box{
	transition: all 0.3s ease;
}

.services .serv-content .card:hover .box{
	transform: scale(1.05);
}

.services .serv-content .card i{
	font-size: 30px;
	color: #04E405;
	transition: color 0.3s ease;
}

.services .serv-content .card:hover i{
	animation: Icon-spin infinite 4s linear;
	color: #fff;
}

@keyframes Icon-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}


.services .serv-content .card .text{
	font-size: 20px;
	font-weight: 500;
	margin: 10px 0 7px 0;
}


.skills .title::after{
	content: "what i know"
}

.skills .skills-content .column{
	width: calc(50% - 30px);
}

.skills .skills-content .left .text{
	font-size: 20px;
	font-weight: 600;
	margin-bottom: 10px;
}

.skills .skills-content .left p{
	text-align: justify;
}

.skills .skills-content .left a{
	display: inline-block;
	background-color: #04E405;
	color: #fff;
	font-size: 18px;
	font-weight: 500;
	padding: 8px 16px;
	margin-top: 20px;
	border-radius: 7px;
	border: 2px solid #04E405;
	transition: all 0.3s ease;
}

.skills .skills-content .left a:hover{
	color: #04E405;
	background: none;
}

.skills .skills-content .right .bars{
	margin-bottom: 15px;
	animation-duration: 10s;
}

.skills .skills-content .right .info{
	display: flex;
	margin-bottom: 5px;
	align-items: center;
	justify-content: space-between;
}

.skills .skills-content .right span{
	font-weight: 500;
	font-size: 22px;
  padding-left:10px;
  text-shadow: 0.5px 0.5px 0.2px black;
}

.skills .skills-content .right .line{
	height: 5px;
	width: 100%;
	background: lightgrey;
	position: relative;
}

.skills .skills-content .right .line::before{
	content: "";
	position: absolute;
	height: 100%;
	left: 0;
	top: 0;
	background: #04E405;
}

.skills .skills-content .right .html::before{
	width: 80%;
}

.html-animation::before{
	animation: Fill_Line_html 2s linear;
}

.skills .skills-content .right .css::before{
	width: 50%;	
}

.css-animation::before{
	animation: Fill_Line_css 2s linear;
}

.skills .skills-content .right .python::before{
	width: 85%;	
}

.python-animation::before{
	animation: Fill_Line_python 2s linear;
}

.skills .skills-content .right .javascript::before{
	width: 65%;	
}

.javascript-animation::before{
	animation: Fill_Line_js 2s linear;
}

.skills .skills-content .right .typescript::before{
	width: 65%;
}

.typescript-animation::before{
	animation: Fill_Line_ts 2s linear;
}

.skills .skills-content .right .nextjs::before{
	width: 70%;
}

.next-animation::before{
	animation: Fill_Line_next 2s linear;
}

.skills .skills-content .right .nestjs::before{
	width: 55%;
}

.nestjs-animation::before{
	animation: Fill_Line_nest 2s linear;
}

.skills .skills-content .right .django::before{
	width: 65%;	
}

.django-animation::before{
	animation: Fill_Line_dj 2s linear;
}

.skills .skills-content .right .jupyter::before{
	width: 60%;
}

.jupyter-animation::before{
	animation: Fill_Line_jupyter 2s linear;
}

.skills .skills-content .right .ruby::before{
	width: 60%;
}

.ruby-animation::before{
	animation: Fill_Line_ruby 2s linear;
}

@keyframes Fill_Line_html{
	from{
		width: 0%;
	}to{
		width: 80%;
	}
}

@keyframes Fill_Line_css{
	from{
		width: 0%;
	}to{
		width: 50%;
	}
}

@keyframes Fill_Line_python{
	from{
		width: 0%;
	}to{
		width: 85%;
	}
}

@keyframes Fill_Line_js{
	from{
		width: 0%;
	}to{
		width: 65%;
	}
}

@keyframes Fill_Line_ts{
	from{
		width: 0%;
	}to{
		width: 60%;
	}
}

@keyframes Fill_Line_next{
	from{
		width: 0%;
	}to{
		width: 70%;
	}
}

@keyframes Fill_Line_nest{
	from{
		width: 0%;
	}to{
		width: 55%;
	}
}

@keyframes Fill_Line_dj{
	from{
		width: 0%;
	}to{
		width: 65%;
	}
}

@keyframes Fill_Line_jupyter{
	from{
		width: 0%;
	}to{
		width: 60%;
	}
}

@keyframes Fill_Line_ruby{
	from{
		width: 0%;
	}to{
		width: 60%;
	}
}

.projects .title::after{
	content: "Developed"
}

.projects .carousel .card{
	background: #222;
	border-radius: 6px;
	padding: 25px 35px;
	text-align: center;
	overflow: hidden;
	transition: all 0.3s ease;
}

.projects .carousel .card .box{
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

.projects .carousel .card .text{
    font-size: 20px;
    font-weight: 500;
    margin: 10px 0 7px 0;
}

.projects .carousel .card img{
	height: 150px;
	width: 150px;
	object-fit: cover;
	border-radius: 50%;
	border: 5px solid #04E405;
	transition: all 0.3s ease;
}

.projects .carousel .card img:hover{
	transform: scale(1.05);
	box-shadow: 0 5px 15px rgba(11, 214, 11, .4);
}

.projects .carousel .card a{
	display: inline-block;
	background-color: #04E405;
	color: #fff;
	font-size: 15.5px;
	font-weight: 300;
	padding: 10px 10px;
	margin-top: 15px;
	border-radius: 7px;
	border: 2px solid #04E405;
	transition: all 0.3s ease;
}

.projects .carousel .card a:hover{
    background-color: #222222;
    color: #04E405;
}

.owl-dots{
    text-align: center;
    margin-top: 20px;
}
.owl-dot{
    height: 13px;
    width: 13px;
    margin: 0 5px;
    outline: none!important;
    border-radius: 50%;
    border: 2px solid #04E405!important;
    transition: all 0.3s ease;
}
.owl-dot.active{
    width: 35px;
    border-radius: 14px;
}
.owl-dot.active,
.owl-dot:hover{
    background: #04E405!important;
}

/* contact section styling */
.contact .title::after{
    content: "get in touch";
}

.contact .contact-content .column{
    width: calc(50% - 30px);
}

.contact .contact-content .text{
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}

.contact .contact-content .left p{
    text-align: justify;
}

.contact .contact-content .left .icons{
    margin: 10px 0;
}

.contact .contact-content .row{
    display: flex;
    height: 65px;
    align-items: center;
}

.contact .contact-content .row .info{
    margin-left: 30px;
}

.contact .contact-content .left .row #icon{
    font-size: 25px;
}

.contact .contact-content .row i{
    font-size: 25px;
    color: #04E405;
}

.contact .contact-content .info .head{
    font-weight: 500;
}

.contact .contact-content .info .sub-title{
    color: #333;
}

.contact .right form .fields{
    display: flex;
}

.contact .right form .field,
.contact .right form .fields .field{
    height: 45px;
    width: 100%;
    margin-bottom: 15px;
}

.contact .right form .textarea{
    height: 80px;
    width: 100%;
}

.contact .right form .name{
    margin-right: 10px;
}

.contact .right form .field input,
.contact .right form .textarea textarea{
    height: 100%;
    width: 100%;
    border: 1px solid lightgrey;
    border-radius: 6px;
    outline: none;
    padding: 0 15px;
    font-size: 17px;
    font-family: 'Poppins', sans-serif;
    transition: all 0.3s ease;
}

.contact .right form .field input:focus,
.contact .right form .textarea textarea:focus{
    border-color: #b3b3b3;
}

.contact .right form .textarea textarea{
  padding-top: 10px;
  resize: none;
}

.contact .right form .button-area{
  display: flex;
  align-items: center;
}

.right form .button-area button{
  color: #fff;
  display: block;
  width: 160px!important;
  height: 45px;
  outline: none;
  font-size: 18px;
  font-weight: 500;
  border-radius: 6px;
  cursor: pointer;
  flex-wrap: nowrap;
  background: #04E405;
  border: 2px solid #04E405;
  transition: all 0.3s ease;
}

.right form .button-area button:hover{
  color: #04E405;
  background: none;
}

/* footer section styling */
.footer, .footer-menu, .footer-bottom{
	width: 100%;
	height: auto;
	margin: auto;
	background: #111;
	padding: 10px 0px;
}

.footer-icons{
	width: 100%;
	height: auto;
	margin: auto;
}

.footer-icons ul{
	margin: 0px;
	padding: 0px;
	text-align: center;
}

.footer-icons ul li{
	display: inline-block;
	margin: 0px 15px;
}

.footer-icons ul li a{
	color: #fff;
	font-size: 1.4rem;
	display: block;
}

.footer-icons ul li a i{
	line-height: 40px;
}

.fa-fonticons:hover, .fa-linkedin-in:hover, .fa-github:hover{
	font-size: 1.6rem !important;
	transition: .2s !important;
}

.fa-fonticons:hover{
	color: #02B21F !important;
}

.fa-linkedin-in:hover{
	color: #0075B3 !important;
}

.fa-github:hover{
	color: #575757 !important;
}

.footer-menu ul{
	margin: 0px;
	margin-bottom: 10px;
	padding: 0px;
	text-align: center;
}

.footer-menu ul li{
	display: inline-block;
	margin: 0px 20px;
}

.footer-menu ul li a{
	font-size: 14px;
	font-weight: bold;
	color: #fff;
	text-transform: uppercase;
}

.footer-menu ul li a:hover{
	color: #04E405;
	transition: 0.2s ease;
}

.footer-bottom{
	padding: 10px;
}

.footer-bottom p{
	font-size: 14px;
	text-align: center;
	color: #fff;
	font-weight: bold;
	letter-spacing: 1px;
}

@media (max-width: 1050px){
	.about .about-content .left img{
		height: 350px;
		width: 350px;
	}
}

@media (max-width: 991px){
	.max-width{
		padding: 0 50px;
	}
}

@media (max-width: 950px){
	.menu-btn{
		display: block;
		z-index: 999;
	}

	.menu-btn i.active:before{
		content: "\f00d"
	}

	.max-width{
		padding-bottom: 0 50px;
	}
	.navbar .menu{
		position: fixed;
		height: 100vh;
		width: 100%;
		left: -100%;
		top: 0;
		background:#111;
		text-align: center;
		padding-top: 80px;
		transition: all 0.3s ease;
	}

	.navbar .menu.active{
		left: 0;
	}

	.navbar .menu li{
		display: block;
	}
	.navbar .menu li a{
		display: inline-block;
		margin: 20px 0;
		font-size: 25px;
	}

	.home .home-content .text-2{
		font-size: 70px;
	}

	.home .home-content .text-3{
		font-size: 35px;	
	}
	
	.max-width{
		max-width: 930px;
	}

	.home .home-content a{
		font-size: 23px;
		padding: 10px 30px;
	}

	.about .about-content .column{
		width: 100%;
	}

	.about .about-content .left{
		display: flex;
		justify-content: center;
		margin: 0 auto 60px;
	}

	.about .about-content .right p{
		flex: 100%;
	}

	.services .serv-content .card{
		width: calc(50% - 10px);
		margin-bottom: 20px;
	}

	.skills .skills-content .column{
		width: 100%;
		margin-bottom: 35px;
	}

	.contact .contact-content .right form{
		flex: 100%;
	}
}

@media(max-width: 690px){
	.max-width{
		padding: 0 23px;
	}

	.home .home-content .text-2{
		font-size: 60px;
	}

	.home .home-content .text-3{
		font-size: 32px;
	}
	.home .home-content a{
		font-size: 20px;
	}

	.about .about-content{
		text-align: center;
	}

	.about .about-content .column{
		width: 100%;
	}
	.services .serv-content .card{
		width: 100%;
	}

	.skills .column{
		text-align: center;
	}

	.contact .contact-content .column{
		width: 100%;
	}
}

@media(max-width: 500px){
	.home .home-content .text-2{
		font-size: 50px;
	}

	.home .home-content .text-3{
		font-size: 27px;	
	}

	.about .about-content .right .text,
    .skills .skills-content .left .text{
        font-size: 19px;
    }

    .contact .right form .fields{
        flex-direction: column;
    }

    .contact .right form .name,
    .contact .right form .email{
        margin: 0;
    }

    .right form .error-box{
       width: 150px;
    }

    .scroll-up-btn{
        right: 15px;
        bottom: 15px;
        height: 38px;
        width: 35px;
        font-size: 23px;
        line-height: 38px;
    }
}
